Holger's Java API

## com.antelmann.ooffice
Enum Underline

    java.lang.Object
      java.lang.Enum<Underline>
          com.antelmann.ooffice.Underline

All Implemented Interfaces:
  Serializable, Comparable<Underline>

    public enum Underline

extends Enum<Underline>

specifies a format for text

Author:
  Holger Antelmann

Enum Constant Summary
`BOLD`
`BOLDDASH`
`BOLDDASHDOT`
`BOLDDASHDOTDOT`
`BOLDDOTTED`
`BOLDLONGDASH`
`BOLDWAVE`
`DASH`
`DASHDOT`
`DASHDOTDOT`
`DONTKNOW`
`DOTTED`
`DOUBLE`
`DOUBLEWAVE`
`LONGDASH`
`NONE`
`SINGLE`
`SMALLWAVE`
`WAVE`

Field Summary
`static String` `KEY`

Method Summary
`void` `applyTo(Object obj)`
`static Underline` `fromValue(int value)`
`short` `getValue()`
`static Underline` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Underline[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Underline NONE

### SINGLE

    public static final Underline SINGLE

### DOUBLE

    public static final Underline DOUBLE

### DOTTED

    public static final Underline DOTTED

### DONTKNOW

    public static final Underline DONTKNOW

### DASH

    public static final Underline DASH

### LONGDASH

    public static final Underline LONGDASH

### DASHDOT

    public static final Underline DASHDOT

### DASHDOTDOT

    public static final Underline DASHDOTDOT

### BOLD

    public static final Underline BOLD

### BOLDDOTTED

    public static final Underline BOLDDOTTED

### BOLDDASH

    public static final Underline BOLDDASH

### BOLDLONGDASH

    public static final Underline BOLDLONGDASH

### BOLDDASHDOT

    public static final Underline BOLDDASHDOT

### BOLDDASHDOTDOT

    public static final Underline BOLDDASHDOTDOT

### WAVE

    public static final Underline WAVE

### BOLDWAVE

    public static final Underline BOLDWAVE

### SMALLWAVE

    public static final Underline SMALLWAVE

### DOUBLEWAVE

    public static final Underline DOUBLEWAVE

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Method Detail

### values

    public static Underline[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Underline c : Underline.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Underline valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public short getValue()

### fromValue

    public static Underline fromValue(int value)

### applyTo

    public void applyTo(Object obj)
                 throws IllegalArgumentException,
                        OfficeException

  Throws:
    `IllegalArgumentException`
    `OfficeException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads